<!DOCTYPE html>
<html>
<head>
<meta charset="UTF-8">
<title>ユーザー管理</title>
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css" integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
<link href="css/hover-min.css" rel="stylesheet">
<link href="https://use.fontawesome.com/releases/v5.10.0/css/all.css" rel="stylesheet">
<link href="css/style.css" rel="stylesheet">
</head>
<body>
	<header>
		<div class="d-flex flex-column flex-md-row align-items-center p-3 px-md-4 mb-3 bg-dark border-bottom shadow-sm">
			<a class="my-0 mr-md-auto font-weight-normal btn btn-outline-light" href="top.html"><i class="fas fa-home fa-lg" style="margin-right:5px"></i>夢の車屋さん</a>
				<nav class="my-2 my-md-0 mr-md-3">
					<a class="p-2 text-white" href="carList.html">在庫車一覧</a>
					<a class="p-2 text-white" href="userAdd.html">新規登録</a>
					<a class="p-2 text-white" href="admin.html">管理画面</a>
			</nav>
				<a class="btn btn-outline-light" style="margin-right:10px;"href="favorite.html"><i class="fas fa-star"></i>Favorite</a>
				<a class="btn btn-outline-light" href="login.html"><i class="fas fa-file-signature"></i>Sign up</a>
		</div>
	</header>
	<div class="container">
		<div class="text-center" style="margin:30px">
			<h2>ユーザ管理画面</h2>
		</div>
			<form action="userListServlet" method="post">
			<div class="row">

				<div class="col-4 text-right">ログインID</div>
				<div class="col-8">
					<div class="form-group">
						<input type="text" class="form-control" id="exampleInputId1"
							placeholder="ログインID" name="loginId" style="width:445px">
					</div>
				</div>
			</div>

			<div class="row">
				<div class="col-4 text-right">ユーザ名</div>
				<div class="col-8">
					<div class="form-group">
						<input type="text" class="form-control"
							id="exampleInputPassword1" placeholder="ユーザ名" name="name" style="width:445px">
					</div>
				</div>
			</div>

			<div class="row">

				<div class="col-4 text-right">生年月日</div>

				<div class="col-2">
					<div class="form-group">
						<input type="date" class="form-control" id="exampleInputEmail1"
							placeholder="生年月日" name="stBirthday">
					</div>
				</div>

				<div class="col-1 text-center">
					<h2>～</h2>
				</div>

				<div class="col-2">
					<div class="form-group">
						<input type="date" class="form-control" id="exampleInputEmail1"
							placeholder="生年月日" name="edBirthday">
					</div>
				</div>

			</div>
			<div align="center">
				<button type="submit" class="btn btn-primary">検索</button>
			</div>
		</form>
		<div class="text-left" style="margin:30px">
			<a class="btn btn-outline-secondary" href="admin.html">Back</a>
		</div>
		<table class="table" style="margin:20px">


			<thead class="table-bordered">
				<tr>
					<th scope="col">ログインID</th>
					<th scope="col">ユーザ名</th>
					<th scope="col">生年月日</th>
					<th scope="col"></th>
				</tr>

			</thead>
			<tbody>
			 <c:forEach var="list" items="${carList}">
				<tr>
					<th scope="row">${list.loginId}</th>
					<td>${list.name}</td>
					<td>${list.birthday}</td>
                     <td>

                       <a class="btn btn-primary" href="userDetail.html">詳細</a>

                       	<a class="btn btn-success" href="userUpdate.html">更新</a>

                       <a class="btn btn-danger" href ="userDelete.html">削除</a>

                     </td>
				</tr>
			</c:forEach>
				<tr>
			</tbody>
		</table>
	</div>
</body>
<footer class="footer mt-auto py-3">
  <div class="container">
    <span class="text-muted">made by WA TA SHI</span>
  </div>
</footer>
</html>